OpenNMS API 1.2.9

## org.opennms.web.performance
Class RRDInfo.DataSource

    java.lang.Object
      org.opennms.web.performance.RRDInfo.DataSource

Enclosing class:
  RRDInfo

public static class RRDInfo.DataSource
extends java.lang.Object

Internal class to store information about a single RRD data source, which is similar to a column in a relational database.

Field Summary
`protected java.lang.String` `lastDataSource`
`protected double` `max`
`protected double` `min`
`protected double` `minimalHeartbeat`
`protected java.lang.String` `name`
`protected java.lang.String` `type`
`protected double` `unknownSeconds`
`protected double` `value`

Constructor Summary
`RRDInfo.DataSource()`

Method Summary
`java.lang.String` `getLastDataSource()`
`double` `getMax()`
`double` `getMin()`
`double` `getMinimalHeartbeat()`
`java.lang.String` `getName()`
`java.lang.String` `getType()`
`double` `getUnknownSeconds()`
`double` `getValue()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

### type

    protected java.lang.String type

### minimalHeartbeat

    protected double minimalHeartbeat

### min

    protected double min

### max

    protected double max

### lastDataSource

    protected java.lang.String lastDataSource

### value

    protected double value

### unknownSeconds

    protected double unknownSeconds

Constructor Detail

### RRDInfo.DataSource

    public RRDInfo.DataSource()

Method Detail

### getName

    public java.lang.String getName()

### getType

    public java.lang.String getType()

### getMinimalHeartbeat

    public double getMinimalHeartbeat()

### getMin

    public double getMin()

### getMax

    public double getMax()

### getLastDataSource

    public java.lang.String getLastDataSource()

### getValue

    public double getValue()

### getUnknownSeconds

    public double getUnknownSeconds()

### toString

    public java.lang.String toString()

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.